# xoxys.users
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.users/status.svg)](https://drone.rknet.org/ansible/xoxys.users)


Manage users and default bash environment

## Table of content

* [Default Variables](#default-variables)
  * [users_default_users](#users_default_users)
  * [users_default_groups](#users_default_groups)
  * [users_default_umask](#users_default_umask)
  * [users_global_bash_aliases](#users_global_bash_aliases)
  * [users_bash_bashrc_overrides](#users_bash_bashrc_overrides)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### users_default_users

#### Default value

```YAML
users_default_users: []
```

#### Example usage

```YAML
users_default_users:
  - name: admin
    groups:
      - wheel
    password: "secure"
    key: "ssh-ed25519 AAAA..."
    shell: /bin/bash
```

### users_default_groups

#### Default value

```YAML
users_default_groups: []
```

### users_default_umask

#### Default value

```YAML
users_default_umask: '022'
```

### users_global_bash_aliases

#### Default value

```YAML
users_global_bash_aliases:
  - alias: ll
    command: ls -lh
  - alias: la
    command: ls -lha
```

### users_bash_bashrc_overrides

#### Default value

```YAML
users_bash_bashrc_overrides: []
```

#### Example usage

```YAML
users_bash_bashrc_overrides:
  - /etc/skel/.bashrc
  - /root/.bashrc
```

## Dependencies

None.

## License

MIT

## Author

xoxys <mail@geeklabor.de>
